Create Call
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call \
--header 'Authorization: <authorization>'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"ctx_id": "<string>",
"data": {
"call_id": "<string>",
"status": "<string>",
"version": "<string>"
},
"message": "<string>"
}Create Call
Create call API that supports both v1 and v2 versions.
POST
/
v2
/
_call
Create Call
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call \
--header 'Authorization: <authorization>'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"ctx_id": "<string>",
"data": {
"call_id": "<string>",
"status": "<string>",
"version": "<string>"
},
"message": "<string>"
}Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
string
API version:
"v1" (Twilio) | "v2" (LiveKit SIP). Default: "v1"string
required
Phone number in E.164 format. Example:
+1234567890string
required
ID of the AI agent to handle the call
string
Name of the person being called. Example:
John Doestring
Purpose or reason for the call. Example:
Appointment reminderResponse
200 OK - Call initiated successfullystring
Request context ID
string
“Request processed successfully”
Examples
v1 Call (Twilio):{
"version": "v1",
"phone_number": "+1234567890",
"agent_id": "agent_123",
"customer_name": "John Doe"
}

